#include "stm32f1xx_hal.h"

#define STATUS_START       0
#define STATUS_COMMAND     1
#define STATUS_ADDRESS     2
#define STATUS_REPEAT      3
#define STATUS_ERROR       10

extern unsigned char IR_Command;
extern unsigned char IR_Address;

extern unsigned char IR_CommandNumber[3];
extern unsigned char IRStatus;

void IR_handler(void);
void ClearIRStatus(void);
void ClearIRCommand(void);
void ClearIR(void);
void SetShiftReg (unsigned char shiftreg[3]);
